{% extends 'base.html' %}

{% block content %}

    <body>
    {% if latest_question_list %}
        <ul>
        {% for question in latest_question_list %}
            <li><a href="{% url 'polls:detail' question.id %}">{{ question.question_text }}</a></li>
        {% endfor %}
        </ul>
    {% else %}
        <p>No polls are available.</p>
    {% endif %}

    <form action="{% url 'polls:addquestion' %}" method="POST">
        {% csrf_token %}
        
        Question: <input type="text" name="question_text"><br>
        Choices <br>

        <div id="container">
            <input type="text" name="c1"><br>
            <input type="text" name="c2"><br>
        </div>

        <button onclick="addChoice(choice)" type="button">Add Choice</button>

        <input type="submit" value="Add Question">
        <button id="practice" type="button">Sample</button>
    </form> 

    </body>
{% endblock %}